// ShaderModule class header
#pragma once

#include "GraphicsResource.h"

namespace nf::client::render {
    class ShaderModule : GraphicsResource {
    public:
        ShaderModule(const VkDevice& device, const std::string& shaderBinary);

        VkShaderModule& getHandle();

        ~ShaderModule();
    private:
        VkShaderModule m_shaderModule;
    };
}
