#version 450

// Inputs
layout(location = 0) in vec3 inPosition;
layout(location = 1) in vec2 inTextureCoordinates;

// Outputs
layout(location = 0) out vec2 outTextureCoordinates;

// Uniforms
layout(binding = 0) uniform MVPMatrixUniformBufferObject {
    mat4 mvp;
} mvpUBO;

void main() {
    outTextureCoordinates = inTextureCoordinates;
    gl_Position = mvpUBO.mvp * vec4(inPosition, 1.0);
}
